{
    "version": "0.2.0",
    "configurations": [
        {
            "type": "java",
            "name": "Run Client (Task 1)",
            "request": "launch",
            "cwd": "${workspaceFolder}/week3_TinsaeGhilay/Task 1",
            "mainClass": "client.Client",
            "console": "integratedTerminal"
        },
        {
            "type": "java",
            "name": "Run ComputeEngine (Task 1)",
            "request": "launch",
            "cwd": "${workspaceFolder}/week3_TinsaeGhilay/Task 1",
            "mainClass": "engine.ComputeEngine",
            "console": "integratedTerminal"
        },
        {
            "type": "java",
            "name": "Run Server (Task 2)",
            "request": "launch",
            "cwd": "${workspaceFolder}/week3_TinsaeGhilay/Task 2",
            "mainClass": "server.Server",
            "preLaunchTask": "build-task2",
            "console": "integratedTerminal"
        },
        {
            "type": "java",
            "name": "Run Client (Task 2)",
            "request": "launch",
            "cwd": "${workspaceFolder}/week3_TinsaeGhilay/Task 2",
            "mainClass": "client.Client",
            "preLaunchTask": "build-task2",
            "console": "integratedTerminal"
        },
        {
            "type": "java",
            "name": "Run Server (Task 5)",
            "request": "launch",
            "cwd": "${workspaceFolder}/week3_TinsaeGhilay/Task 5",
            "mainClass": "server.Server",
            "preLaunchTask": "build-task5",
            "console": "integratedTerminal"
        },
        {
            "type": "java",
            "name": "Run Client (Task 5)",
            "request": "launch",
            "cwd": "${workspaceFolder}/week3_TinsaeGhilay/Task 5",
            "mainClass": "client.Client",
            "preLaunchTask": "build-task5",
            "console": "integratedTerminal"
        },
        {
            "type": "java",
            "name": "Run Crawler (Week 4)",
            "request": "launch",
            "cwd": "${workspaceFolder}/week4_TinsaeGhilay/crawler",
            "projectName": "crawler",
            "mainClass": "com.tinsae.crawler.Main",
            "console": "integratedTerminal"
        },
        {
            "type": "java",
            "name": "Run HelloWorldServer (Task 7/example)",
            "request": "launch",
            "cwd": "${workspaceFolder}/week3_TinsaeGhilay/Task 7/example",
            "projectName": "example",
            "mainClass": "org.tinsae.grpc.server.HelloWorldServer",
            "console": "integratedTerminal"
        },
        {
            "type": "java",
            "name": "Run HelloWorldClient (Task 7/example)",
            "request": "launch",
            "cwd": "${workspaceFolder}/week3_TinsaeGhilay/Task 7/example",
            "projectName": "example",
            "mainClass": "org.tinsae.grpc.client.HelloWorldClient",
            "console": "integratedTerminal"
        }
    ]
}